python-pivy_0.5.0~v609hg-3.1_amd64.deb


Advertisement

Description

python-pivy - Coin binding for Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pivy
Package version 0.5.0~v609hg
Package release 3.1
Package architecture amd64
Package type deb
Installed size 13.44 KB
Download size 1.53 MB
Official Mirror archive.ubuntu.com
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
with a C++ API. Coin uses scene-graph data structures to render real-time
graphics suitable for mostly all kinds of scientific and engineering
visualization applications.
Pivy allows:
* Development of Coin applications and extensions in Python
* Interactive modification of Coin programs from within the
Python interpreter at runtime
* Incorporation of Scripting Nodes into the scene graph which
are capable of executing Python code and callbacks
* Use of Coin within PyQt4 applications with the quarter module

Alternatives

Package Version Architecture Repository
python-pivy_0.5.0~v609hg-3.1_i386.deb 0.5.0~v609hg i386 Ubuntu Universe
python-pivy - - -

Requires

Name Value
libc6 >= 2.14
libcoin80v5 -
libgcc1 >= 1:3.0
libsoqt4-20 -
libstdc++6 >= 4.1.1
python << 2.8
python >= 2.7~
python-qt4-gl -
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-pivy -

Download

Type URL
Binary Package python-pivy_0.5.0~v609hg-3.1_amd64.deb
Source Package pivy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pivy deb package:
    # sudo apt-get install python-pivy

Files

Path
/usr/lib/python2.7/dist-packages/Pivy-0.5.0.egg-info
/usr/lib/python2.7/dist-packages/pivy/__init__.py
/usr/lib/python2.7/dist-packages/pivy/_coin.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pivy/coin.py
/usr/lib/python2.7/dist-packages/pivy/sogui.py
/usr/lib/python2.7/dist-packages/pivy/gui/__init__.py
/usr/lib/python2.7/dist-packages/pivy/gui/_soqt.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pivy/gui/soqt.py
/usr/lib/python2.7/dist-packages/pivy/quarter/ContextMenu.py
/usr/lib/python2.7/dist-packages/pivy/quarter/ImageReader.py
/usr/lib/python2.7/dist-packages/pivy/quarter/QuarterWidget.py
/usr/lib/python2.7/dist-packages/pivy/quarter/SensorManager.py
/usr/lib/python2.7/dist-packages/pivy/quarter/SignalThread.py
/usr/lib/python2.7/dist-packages/pivy/quarter/__init__.py
/usr/lib/python2.7/dist-packages/pivy/quarter/devices/DeviceHandler.py
/usr/lib/python2.7/dist-packages/pivy/quarter/devices/DeviceManager.py
/usr/lib/python2.7/dist-packages/pivy/quarter/devices/KeyboardHandler.py
/usr/lib/python2.7/dist-packages/pivy/quarter/devices/MouseHandler.py
/usr/lib/python2.7/dist-packages/pivy/quarter/devices/__init__.py
/usr/lib/python2.7/dist-packages/pivy/quarter/eventhandlers/DragDropHandler.py
/usr/lib/python2.7/dist-packages/pivy/quarter/eventhandlers/EventHandler.py
/usr/lib/python2.7/dist-packages/pivy/quarter/eventhandlers/EventManager.py
/usr/lib/python2.7/dist-packages/pivy/quarter/eventhandlers/__init__.py
/usr/lib/python2.7/dist-packages/pivy/quarter/plugins/designer/python/PyQuarterWidgetPlugin.py
/usr/share/doc/python-pivy/HACKING
/usr/share/doc/python-pivy/NEWS.gz
/usr/share/doc/python-pivy/README
/usr/share/doc/python-pivy/THANKS
/usr/share/doc/python-pivy/changelog.Debian.gz
/usr/share/doc/python-pivy/copyright
/usr/share/doc/python-pivy/ruby-inventor.txt

Changelog

2015-12-14 - Mattia Rizzolo <mattia@debian.org>
pivy (0.5.0~v609hg-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Remove long useless debian/pycompat file.
* Build-Depend on dh-python instead of python-support.  Closes:
#786149
* use X-Python-Version control field instead of the debian/pyversions
file.
* debian/control: bump Standards-Version to 3.9.6, no changes needed.
2013-07-06 - Anton Gladky <gladk@debian.org>
pivy (0.5.0~v609hg-3) unstable; urgency=low
* [ffc321b] Update/fix VCS-fields.
* [6a8ffda] Use dh 9. Clean debian/rules.
* [06471e5] Remove README.source.
* [a9eec4e] Add --parallel option.
* [e1c6b3f] Add myself as uploader.
2013-05-30 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~v609hg-2) unstable; urgency=low
* Build-dep on libcoin80-dev and latest libsoqt4-dev.
* Change maintainer to Debian Science Maintainers,
add Teemu Ikonen to Uploaders.
* Upgrade to standards-version 3.9.4.
2011-09-21 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~v609hg-1) unstable; urgency=low
* New snapshot from upstream mercurial repository
* New upstream version fixes pivy.gui.soqt import (closes: #583323)
* Change versioning scheme to follow hg revisions
* 'Fix' watch file (it finds only ancient pivy versions)
* copyright: Update years, change to current DEP5 format
* Add debian/source/format file with text "3.0 (quilt)"
* Add debian/source/options file
- Use bz2 with maximum compression
- Generate a single debian-changes patch
* control:
- Update standards-version to 3.9.2
- Add Vcs-* fields
* rules:
- Add build-arch and build-indep targets to please lintian
- Add get-orig-source target to fetch source from upstream hg repo
* QuarterWidget.py: Replace string exception with an IOError
(closes: #585313)
* Building with swig 2.0.4-4 fixes FTBS (closes: #639077)
2009-09-19 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~svn765-2) unstable; urgency=low
* control:
Add dependency to python-qt4-gl to binary package.
Mention quarter in the description.
* copyright: remove scons files, update copyright holder name
from Systems in Motion to Kongsberg SIM
* Upload to unstable (closes: #504617)
2009-09-11 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~svn765-1) unstable; urgency=low
* New upstream SVN snapshot
* Use a svn revision in the version number, in stead of date
* control: Update to standards-version 3.8.3
* rules: Remove call to dh_clean -k, add call to dh_prep
* Add a README.source file explaining how to recreate the orig.tar
from upstream SVN
2009-08-01 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~svn2009.06.18-1) UNRELEASED; urgency=low
* New upstream version
* control:
- Remove build-dep from cdbs
- Update libsoqt4-dev versioned build-dep to the version in unstable.
* rules:
- Let 'dh clean' run the setup.py clean target
* copyright: Update
* Upload to unstable (closes: #504617)
2008-12-13 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.5.0~svn2008.12.11-1) UNRELEASED; urgency=low
* New upstream version from SVN snapshots
* rules: use pure debhelper instead of CDBS
2008-11-13 - Teemu Ikonen <tpikonen@gmail.com>
pivy (0.3.0-1) UNRELEASED; urgency=low
* Initial packaging

See Also

Package Description
python-pkgconfig_1.1.0-1_all.deb Python interface to the pkg-config command line tool
python-pkginfo-doc_1.2.1-1_all.deb Python module to query metadata from packages documentation
python-pkginfo_1.2.1-1_all.deb Python 2.x module to query metadata from packages
python-plastex-doc_0.9.2-1.1_all.deb LaTeX document processing framework in Python - documentation files
python-plastex_0.9.2-1.1_all.deb LaTeX document processing framework in Python
python-plist_1.12-3.1_amd64.deb Library for handling Apple binary and XML property lists
python-plotly_1.9.5+dfsg-1_all.deb Python plotting library for publication-quality graphs
python-plplot-qt_5.10.0+dfsg2-0.1ubuntu2_amd64.deb Scientific plotting library (python qt GUI)
python-plplot_5.10.0+dfsg2-0.1ubuntu2_amd64.deb Python support for PLplot, a plotting library
python-pluggy_0.3.1-1_all.deb plugin and hook calling mechanisms for Python
python-plumbum_1.6.0-1_all.deb library for writing shell script-like programs in Python 2
python-plwm_2.6a+20080530-2_all.deb Pointless Window Manager - Python libraries for creating Window Managers
python-pmock_0.3.1+s20140625-3_all.deb Python module for unit testing using mock objects
python-pmw-doc_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pmw_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
Advertisement
Advertisement